<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class WebKey extends Datamodul
{
  
  public $public_key;
  
  public $modulus;
  
  public $gueltigvon;
  
  public $gueltigbis;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'gueltigvon':
      case 'gueltigbis':
        return \DatamodulVarType::TYPE_DATE;
    }
  }
}